
  <?php
// Conectarse a la base de datos MySQL
$conexion = mysqli_connect("", "cmi88758_ClaudioBarahona", "Mihogar182", "cmi88758_arriendos");

if (!$conexion) {
    die("Error al conectar a la base de datos: " . mysqli_connect_error());
}
// Obtener la fecha actual
$fecha_actual = date('Y-m-d');

// Obtener la fecha actual
$fecha_actual = date('Y-m-d');

    $fechain = $val['fecha_inicio'];
    $fechaout = $val['fecha_salida'];
    $horain = $val['hora_ingresp'];
    $horaout = $val['hora_salida'];
    date_default_timezone_set('America/Santiago');
    $fechaActual = date('Y-m-d'); 

    // Crea objetos DateTime para la fecha actual y la fecha de ingreso
    $datetimeActual = new DateTime($fechaActual);
    $datetimeIn = new DateTime($fechain);

    // Calcula la diferencia entre las fechas
    $intervalo = $datetimeActual->diff($datetimeIn);
    // Obtiene la diferencia en días como número entero
    $diasDiferencia = (int) $intervalo->days;

// Consultar la base de datos para obtener las fechas de entrada y salida que coinciden con la fecha actual
$sql = "SELECT * FROM arrendatarios WHERE fecha_ingreso = '$fecha_actual' OR fecha_salida = '$fecha_actual'";
$resultado = mysqli_query($conexion, $sql);

if (mysqli_num_rows($resultado) > 0) {
    while ($fila = mysqli_fetch_assoc($resultado)) {
        // Obtener la fecha de entrada y salida
         $fechain = $val['fecha_inicio'];
    $fechaout = $val['fecha_salida'];
    $horain = $val['hora_ingresp'];
    $horaout = $val['hora_salida'];

        // Verificar si la fecha actual coincide con la fecha de entrada
        if ($fechain == $fecha_actual) {
            $nombre = $fila['nombre']; // Obtener el nombre del usuario

            // Datos del destinatario y contenido del correo electrónico
            $destinatario = 'barahona.claudio@gmail.com , evelyncrf@gmail.com';
            $asunto = 'Ingreso por arriendo al departamento';
            $mensaje = 'Estimado(a) Claudio/Evelyn hoy ingresa ' . $nombre . ', a las ' . $horain . ' hrs.';

            // Enviar el correo electrónico
            mail($destinatario, $asunto, $mensaje);
        }

        // Verificar si la fecha actual coincide con la fecha de salida
        if ($fechaout == $fecha_actual) {
            $nombre = $fila['nombre']; // Obtener el nombre del usuario

            // Datos del destinatario y contenido del correo electrónico
            $destinatario = 'barahona.claudio@gmail.com, evelyncrf@gmail.com';
            $asunto = 'Retiro del departamento';
            $mensaje = 'Estimado(a) Claudio/Evelyn hoy sale del departamento' . $nombre . ', a las ' . $horaout . ' hrs.';

            // Enviar el correo electrónico
            mail($destinatario, $asunto, $mensaje);
        }
    }
}

// Verifica si la diferencia de días es igual a 1 para mostrar que ingresa mañana
if (mysqli_num_rows($resultado) > 0) {
    while ($fila = mysqli_fetch_assoc($resultado)) {
        // Calcula la diferencia entre la fecha actual y la fecha de entrada
        $datetimeActual = new DateTime($fecha_actual);
        $datetimeIn = new DateTime($fila['fecha_inicio']);
        $intervalo = $datetimeActual->diff($datetimeIn);
        $diasDiferencia = (int) $intervalo->format('%R%a'); // Calcula la diferencia en días

        // Verificar si la diferencia de días es igual a 1 para mostrar que ingresa mañana
        if ($diasDiferencia == 1) {
            // Obtenemos la fecha de entrada del primer registro que coincide con la fecha actual
            $fechain_primero = $fila['fecha_inicio'];
            $horain_primero = $fila['hora_inicio'];

            // Datos del destinatario y contenido del correo electrónico
            $destinatario = 'barahona.claudio@gmail.com';
            $asunto = 'Ingreso mañana al departamento';
            $mensaje = 'Estimado(a) Claudio/Evelyn mañana, tiene ingreso a las ' . $horain_primero . ' hrs.';

            // Enviar el correo electrónico
            mail($destinatario, $asunto, $mensaje);
        }
    }
}



// Cerrar la conexión a la base de datos
mysqli_close($conexion);
?>

<meta http-equiv = "refresh" 
   
   
  content = "0; url = http://misarriendos.cl/arriendos/administrador.php">

